
Infrastructure - Task #1912

Story # 1906 (Closed): Review, revise, and update architecture documentation

MNRead.get(session, pid) - Correction to note about checksums

2011-10-26 16:04 - Roger Dahl

Status: Closed Start date: 2011-10-26

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The docs state: "the checksum of the bytes retrieved must match the SystemMetadata.checksum recorded in the 

Types.SystemMetadata if the object is science data". I think we can take out the "if the object is science data" part because the

checksum needs to match regardless.

History

#1 - 2011-11-03 20:09 - Dave Vieglais

- Status changed from New to Closed

There is the potential that science metadata checksums may change in the future (to support for example, a lossless translation to another format),

but if they were to change then we'd need another mechanism to guarantee that the information content has not changed.

Comment was updated as suggested.

#2 - 2014-10-02 17:21 - Dave Vieglais

- Target version set to Maintenance Backlog
